SYSTEMD-BUS-PROXYD(8)

NAME
systemd-bus-proxyd - Connect STDIO or a socket to a given bus address

SYNOPSIS

/lib/systemd/systemd-bus-proxyd [OPTIONS...] [PLACEHOLDER]

DESCRIPTION

systemd-bus-proxyd will proxy D-Bus messages to and from a bus. The will be either the system bus or the bus specified with --address when that option is given. Messages will be proxied to/from standard input and output, or the socket received through socket activation.

This program can be used to connect a program using classic D-Bus to kdbus.

OPTIONS AND ARGUMENTS

The following options are understood:

--address=ADDRESS[:ADDRESS...]
    Connect to the bus specified by ADDRESS. Multiple colon-separated addresses can be specified, in which case systemd-bus-proxyd will attempt to connect to them in turn.

-h, --help
    Print a short help text and exit.

--version
    Print a short version string and exit.

PLACEHOLDER, if given, must be a string of "x" and will be used to display information about the process that systemd-bus-proxyd is forwarding messages for.

SEE ALSO

dbus-daemon(1), D-Bus[1]

NOTES

1.  D-Bus
    http://freedesktop.org/wiki/Software/dbus